> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://notion.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://notion.ferndocs.com/_mcp/server.

# Update page properties

PATCH https://api.notion.com/v1/pages/{page_id}
Content-Type: application/json

Updates the `properties` of a page in a database. The `properties` body param of this endpoint can only be used to update the `properties` of a page that is a child of a database. The page's `properties` schema must match the parent [database's properties](https://developers.notion.com/reference/property-object).

This endpoint can be used to update any page `icon` or `cover`, and can be used to [`delete`](https://developers.notion.com/reference/archive-a-page) or restore any page.

To add page content instead of page properties, use the [append block children](https://developers.notion.com/reference/patch-block-children) endpoint. The `page_id` can be passed as the `block_id` when adding block children to the page.

Returns the updated [page object](https://developers.notion.com/reference/page).

Your integration must have [update content capabilities](https://developers.notion.com/reference/capabilities#content-capabilities) on the target page in order to call this endpoint. To update your integrations capabilities, navigation to the [My integrations](https://www.notion.so/my-integrations) dashboard, select your integration, go to the **Capabilities** tab, and update your settings as needed.

Attempting a query without update content capabilities returns an HTTP response with a 403 status code.

* Updating [rollup property values](https://developers.notion.com/reference/property-value-object#rollup-property-values) is not supported.
* A page's `parent` cannot be changed.

### Errors

Each Public API endpoint can return several possible error codes. See the [Error codes section](https://developers.notion.com/reference/status-codes#error-codes) of the Status codes documentation for more information.

Reference: https://notion.ferndocs.com/reference/patch-page

## Request

### Path parameters

- `page_id` (string, required) — The identifier for the Notion page to be updated.

### Headers

- `Notion-Version` (string, required) — The [API version](/reference/versioning) to use for this request. The latest version is `<<latestNotionVersion>>`.

### Body (application/json)

This endpoint expects an object.

- `properties` (string, optional) — The property values to update for the page. The keys are the names or IDs of the property and the values are property values. If a page property ID is not included, then it is not changed.
- `in_trash` (boolean, optional, default: false) — Set to true to delete a block. Set to false to restore a block.
- `icon` (string, optional) — A page icon for the page. Supported types are [external file object](https://developers.notion.com/reference/file-object) or [emoji object](https://developers.notion.com/reference/emoji-object).
- `cover` (string, optional) — A cover image for the page. Only [external file objects](https://developers.notion.com/reference/file-object) are supported.
- `is_locked` (boolean, optional) — Whether the page should be locked from editing in the Notion app UI. If not provided, the locked state will not be updated.

## Response

### 200

200

- `object` (string, optional)
- `id` (string, optional)
- `created_time` (string, optional)
- `last_edited_time` (string, optional)
- `created_by` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCreatedBy, optional)
- `last_edited_by` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaLastEditedBy, optional)
- `cover` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCover, optional)
- `icon` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaIcon, optional)
- `parent` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaParent, optional)
- `archived` (boolean, optional, default: true)
- `is_locked` (boolean, optional, default: true)
- `properties` (V1PagesPageIdPatchResponsesContentApplicationJsonSchema, optional)
- `url` (string, optional)

## Errors

### 400 Bad Request Error

400

### 404 Not Found Error

404

- `object` (string, optional)
- `status` (integer, optional, default: 0)
- `code` (string, optional)
- `message` (string, optional)

### 429 Too Many Requests Error

429

- `object` (string, optional)
- `status` (integer, optional, default: 0)
- `code` (string, optional)
- `message` (string, optional)

## Types

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCreatedBy

- `object` (string, optional)
- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaLastEditedBy

- `object` (string, optional)
- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCover

- `type` (string, optional)
- `external` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCoverExternal, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaIcon

- `type` (string, optional)
- `emoji` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaParent

- `type` (string, optional)
- `data_source_id` (string, optional)
- `database_id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchema

- `Store availability` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaStoreAvailability, optional)
- `Food group` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaFoodGroup, optional)
- `Price` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaPrice, optional)
- `Responsible Person` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaResponsiblePerson, optional)
- `Last ordered` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaLastOrdered, optional)
- `Cost of next trip` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCostOfNextTrip, optional)
- `Recipes` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaRecipes, optional)
- `Description` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaDescription, optional)
- `In stock` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaInStock, optional)
- `Number of meals` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaNumberOfMeals, optional)
- `Photo` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaPhoto, optional)
- `Name` (V1PagesPageIdPatchResponsesContentApplicationJsonSchemaName, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCoverExternal

- `url` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaStoreAvailability

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaFoodGroup

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaPrice

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaResponsiblePerson

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaLastOrdered

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaCostOfNextTrip

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaRecipes

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaDescription

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaInStock

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaNumberOfMeals

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaPhoto

- `id` (string, optional)

### V1PagesPageIdPatchResponsesContentApplicationJsonSchemaName

- `id` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "Result": {
    "value": "{\n\t\"object\": \"page\",\n\t\"id\": \"59833787-2cf9-4fdf-8782-e53db20768a5\",\n\t\"created_time\": \"2022-03-01T19:05:00.000Z\",\n\t\"last_edited_time\": \"2022-07-06T19:16:00.000Z\",\n\t\"created_by\": {\n\t\t\"object\": \"user\",\n\t\t\"id\": \"ee5f0f84-409a-440f-983a-a5315961c6e4\"\n\t},\n\t\"last_edited_by\": {\n\t\t\"object\": \"user\",\n\t\t\"id\": \"ee5f0f84-409a-440f-983a-a5315961c6e4\"\n\t},\n\t\"cover\": {\n\t\t\"type\": \"external\",\n\t\t\"external\": {\n\t\t\t\"url\": \"https://upload.wikimedia.org/wikipedia/commons/6/62/Tuscankale.jpg\"\n\t\t}\n\t},\n\t\"icon\": {\n\t\t\"type\": \"emoji\",\n\t\t\"emoji\": \"🥬\"\n\t},\n\t\"parent\": {\n\t\t\"type\": \"data_source_id\",\n    \"data_source_id\": \"d9824bdc-8445-4327-be8b-5b47500af6ce\",\n    \"database_id\": \"9ce034a5-74ca-4259-8b01-8494453204fe\"\n\t},\n  \"archived\": false,\n  \"is_locked\": false,\n\t\"properties\": {\n\t\t\"Store availability\": {\n\t\t\t\"id\": \"%3AUPp\"\n\t\t},\n\t\t\"Food group\": {\n\t\t\t\"id\": \"A%40Hk\"\n\t\t},\n\t\t\"Price\": {\n\t\t\t\"id\": \"BJXS\"\n\t\t},\n\t\t\"Responsible Person\": {\n\t\t\t\"id\": \"Iowm\"\n\t\t},\n\t\t\"Last ordered\": {\n\t\t\t\"id\": \"Jsfb\"\n\t\t},\n\t\t\"Cost of next trip\": {\n\t\t\t\"id\": \"WOd%3B\"\n\t\t},\n\t\t\"Recipes\": {\n\t\t\t\"id\": \"YfIu\"\n\t\t},\n\t\t\"Description\": {\n\t\t\t\"id\": \"_Tc_\"\n\t\t},\n\t\t\"In stock\": {\n\t\t\t\"id\": \"%60%5Bq%3F\"\n\t\t},\n\t\t\"Number of meals\": {\n\t\t\t\"id\": \"zag~\"\n\t\t},\n\t\t\"Photo\": {\n\t\t\t\"id\": \"%7DF_L\"\n\t\t},\n\t\t\"Name\": {\n\t\t\t\"id\": \"title\"\n\t\t}\n\t},\n\t\"url\": \"https://www.notion.so/Tuscan-Kale-598337872cf94fdf8782e53db20768a5\"\n}"
  }
}
```

**SDK Code**

```javascript Notion SDK for JavaScript
const { Client } = require('@notionhq/client');

const notion = new Client({ auth: process.env.NOTION_API_KEY });

(async () => {
  const pageId = '59833787-2cf9-4fdf-8782-e53db20768a5';
  const response = await notion.pages.update({
    page_id: pageId,
    properties: {
      'In stock': {
        checkbox: true,
      },
    },
  });
  console.log(response);
})();
```

```python
import requests

url = "https://api.notion.com/v1/pages/page_id"

payload = {}
headers = {
    "Notion-Version": "Notion-Version",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.notion.com/v1/pages/page_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Notion-Version", "Notion-Version")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.notion.com/v1/pages/page_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Notion-Version"] = 'Notion-Version'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.notion.com/v1/pages/page_id")
  .header("Notion-Version", "Notion-Version")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.notion.com/v1/pages/page_id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'Notion-Version' => 'Notion-Version',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.notion.com/v1/pages/page_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Notion-Version", "Notion-Version");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Notion-Version": "Notion-Version",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.notion.com/v1/pages/page_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```